Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_TieValueDomainPropertyBundle

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_PublicObject

                        |

                        +--oracle.ifs.server.S_TiePublicObject

                              |

                              +--oracle.ifs.server.S_ApplicationObject

                                    |

                                    +--oracle.ifs.server.S_TieApplicationObject

                                          |

                                          +--oracle.ifs.server.S_PropertyBundle

                                                |

                                                +--oracle.ifs.server.S_TiePropertyBundle

                                                      |

                                                      +--oracle.ifs.server.S_ValueDomainPropertyBundle

                                                            |

                                                            +--oracle.ifs.server.S_TieValueDomainPropertyBundle

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

public class S_TieValueDomainPropertyBundle
extends S_ValueDomainPropertyBundle

S_TieValueDomainPropertyBundle allows the Oracle-defined behavior of the VALUEDOMAINPROPERTYBUNDLE classobject (and its subclasses) to be extended or overridden through the server extensibility API.

See Also:
  `S_ValueDomainPropertyBundle`

Constructor Summary
`protected` | `S_TieValueDomainPropertyBundle(S_LibrarySession session, java.lang.Long classId)` Constructs an S_TieValueDomainPropertyBundle for a new VALUEDOMAINPROPERTYBUNDLE.
`protected` | `S_TieValueDomainPropertyBundle(S_LibrarySession session, S_LibraryObjectData data)` Constructs an S_TieValueDomainPropertyBundle for an existing VALUEDOMAINPROPERTYBUNDLE.

Methods inherited from class oracle.ifs.server.S_ValueDomainPropertyBundle
`getPropertyValue, isAttributeValueInValueDomainPropertyBundle`

Methods inherited from class oracle.ifs.server.S_PropertyBundle
`deriveDefinition, extendedPreFree, extendedPreUpdate, getProperties, getProperty, getPropertyValue, handleEvent, putProperty, removeProperty`

Methods inherited from class oracle.ifs.server.S_ApplicationObject
`isVersionable`

Methods inherited from class oracle.ifs.server.S_PublicObject
`addRelationship, extendedPreInsert, getCategories, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getReferencingFolders, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getVersionDescriptions, hasNameAttribute, isLocked, removeRelationship`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`equals, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_TieValueDomainPropertyBundle

    protected S_TieValueDomainPropertyBundle(S_LibrarySession session,
                                             S_LibraryObjectData data)
                                      throws IfsException

  Constructs an S_TieValueDomainPropertyBundle for an existing VALUEDOMAINPROPERTYBUNDLE.
  Parameters:
    `session` - the session
    `data` - the data
  Throws:
    `IfsException` - if the operation fails

### S_TieValueDomainPropertyBundle

    protected S_TieValueDomainPropertyBundle(S_LibrarySession session,
                                             java.lang.Long classId)
                                      throws IfsException

  Constructs an S_TieValueDomainPropertyBundle for a new VALUEDOMAINPROPERTYBUNDLE.
  Parameters:
    `session` - the session
    `classId` - the class id
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD